Filewatcher File Search File Search
Catalog
Content Search
» » » » »

Lexical-SealRequireHints-0.006.tar.gz

Homepage:-
Package version:-
Architecture:-
Distribution:Perl-CPAN
Filename:Lexical-SealRequireHints-0.006.tar.gz

/Lexical-SealRequireHints-0.006/README

NAME

Lexical::SealRequireHints - prevent leakage of lexical hints

DESCRIPTION

This module works around two historical bugs in Perl's handling of the
"%^H" (lexical hints) variable.  One bug causes lexical state in one file
to leak into another that is "require"d/"use"d from it.  This bug, [perl
#68590], was present up to Perl 5.10, fixed in Perl 5.11.0.  The second
bug causes lexical state (nor
more»

/Lexical-SealRequireHints-0.006/Changes

version 0.006; 2011-11-20

  * bugfix: avoid loading warnings.pm and leaving its delayed requires
    of Carp.pm susceptible to hint leakage, which was causing trouble
    on some Perls

  * skip swash test on Perl 5.6, where swash loading appears to be broken
    by loading Test::More or anything else useful

  * remove bogus tests that cause false failures on Perl 5.15.5

  * in Build.PL, declar
more»

Browse inside Lexical-SealRequireHints-0.006.tar.gz

         [DIR]Lexical-SealRequireHints-0.006/ (11)

Download Lexical-SealRequireHints-0.006.tar.gz

Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2017 FileWatcher.com